! External Routines from the JB_PATTS module
%external %routine %spec Parse Job Deck (%byte %array %name Wanted,
   %integer Stream)
%external %routine %spec Scan Job Deck Patterns (%integer Mode,
   %integer %name Num Patt, Missing, Extra, Zipped)
%external %routine %spec Set From option (%integer From Mode, 
   %string (255) Directory)
%external %routine %spec Set Varian Directory

! Modes for the routine Scan Job Deck Patterns
%const %integer Get Customer Patterns = 1
%const %integer Get All Patterns      = 2
%const %integer Check Missing List    = 3
%const %integer Output Missing List   = 4
%const %integer Output Extra List     = 5
%const %integer Output Orbot List     = 6
%const %integer Dump Data Structure   = 7
%const %integer Max Mode              = 7

! Modes for FROM option
%const %integer No From  Mode = 0
%const %integer Optimise Mode = 1
%const %integer Copy     Mode = 2
%const %integer Rename   Mode = 3

%const %string (3) Zipped Extension = "-GZ"

! Maximum Number of layers in a Job Deck is -
%constant %integer Max Layers = 320
%constant %integer True = 1, False = 0

%routine Warning Message (%string (255) Message)
   %integer S = Output Stream
   Select Output (0)
   Print String (Message)
   Newline
   Select Output (S)
%end

%routine Print Line (%string(255) s)
   Print String (s)
   Newline
%end

%end %of %file
